﻿@model Entidades.OrdenDePago
@{
    var alert = Model.IdOrden == 0 ? "¿Esta seguro de querer guardar este registro?" : "¿Esta seguro de querer actualizar este registro?";
}

@using (Html.BeginForm("Editar", "OrdenDePago", FormMethod.Post))
{
    <div class="form-group">
        <label for="exampleInputEmail1" style="display:none">Id</label>
        @Html.HiddenFor(c => c.IdOrden, new { @placeholder = "ingresa Id", @class = "form-control", @Value = Model.IdOrden })
        @Html.ValidationMessageFor(c => c.IdOrden, null, new { @class = "label label-danger" })
    </div>
    <div class="form-group">
        <label for="exampleInputEmail1">Monto</label>
        @Html.TextBoxFor(c => c.Monto, new { @placeholder = "ingresa monto", @class = "form-control", @Value = Model.Monto,@Type= "number" })
        @Html.ValidationMessageFor(c => c.Monto, null, new { @class = "label label-danger" })
    </div>
    <div class="form-group">
        <label for="exampleFormControlSelect1">Moneda</label>
        <select class="form-control" id="Moneda" name="Moneda">
            <option>Dolares</option>
            <option>Soles</option>
        </select>
    </div>
    <div class="form-group">
        <label for="exampleFormControlSelect1">Estado</label>
        <select class="form-control" id="Estado" name="Estado">
            <option value="Pagada">Pagada</option>
            <option value="Declinada">Declinada</option>
            <option value="Fallida">Fallida</option>
            <option value="Anulada">Anulada</option>
        </select>
    </div>

   

    <button type="submit" class="btn btn-outline-primary" onclick="confirm('@alert')">
        <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-pencil" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd" d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5L13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175l-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"></path>
        </svg>
        Guardar
    </button>
    if (Model.IdOrden > 0)
    {
        <a type="button" onclick="confirm('¿Esta seguro de querer eliminar este Registro?')" class="btn btn-outline-primary" asp-controller="OrdenDePago" asp-action="Eliminar" asp-route-id="@Model.IdOrden">
            Eliminar
            <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-file-earmark-text" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <path d="M4 0h5.5v1H4a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1V4.5h1V14a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2V2a2 2 0 0 1 2-2z"></path>
                <path d="M9.5 3V0L14 4.5h-3A1.s5 1.5 0 0 1 9.5 3z"></path>
                <path fill-rule="evenodd" d="M5 11.5a.5.5 0 0 1 .5-.5h2a.5.5 0 0 1 0 1h-2a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5zm0-2a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"></path>
            </svg>
        </a>
    }

}
